org.apache.felix.bundlerepository.impl

## Class PropertyImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.PropertyImpl

All Implemented Interfaces:
  Property

    public class PropertyImpl
    extends java.lang.Object
    implements Property

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Property

`DOUBLE, LONG, SET, URI, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`PropertyImpl(java.lang.String name, java.lang.String type, java.lang.String value)`

### Method Summary

Methods
`java.lang.Object` `getConvertedValue()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyImpl

    public PropertyImpl(java.lang.String name,
                java.lang.String type,
                java.lang.String value)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Property`

#### getType

    public java.lang.String getType()

Specified by:
  `getType` in interface `Property`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `Property`

#### getConvertedValue

    public java.lang.Object getConvertedValue()

Specified by:
  `getConvertedValue` in interface `Property`